Netmiko does not support device type huawei_vrpv8

Bug #1736341 reported by zhangfei gao on 2017-12-05
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Networking ML2 Generic Switch
Undecided
Unassigned

Bug Description

[genericswitch:switchce5800]
device_type = netmiko_huawei_vrpv8
username = xxx
password = xxx
ip = xxx

Report error:

Netmiko does not support device type huawei_vrpv8, and neutron_server keeps rebooting.

2017-11-29 22:14:21.166 7 ERROR networking_generic_switch.devices [req-27442193-0b3d-456a-a42d-8f0e657d373a - - - - -] Driver manager <stevedore.driver.DriverManager object at 0xffff89814b90> failed to load device plugin netmiko_huawei_vrpv8 = networking_generic_switch.devices.netmiko_devices.huawei_vrpv8:Huawei: Netmiko does not support device type huawei_vrpv8: GenericSwitchNetmikoNotSupported: Netmiko does not support device type huawei_vrpv8
2017-11-29 22:14:21.170 7 ERROR neutron.service [req-27442193-0b3d-456a-a42d-8f0e657d373a - - - - -] Unrecoverable error: please check log for details.: GenericSwitchEntrypointLoadError: Failed to load entrypoint netmiko_huawei_vrpv8 = networking_generic_switch.devices.netmiko_devices.huawei_vrpv8:Huawei: Netmiko does not support device type huawei_vrpv8

class NetmikoSwitch(devices.GenericSwitchDevice):
def __init__(self, device_cfg):
        device_type = device_type.partition('netmiko_')[2]
        print(device_type)
        print(netmiko.platforms) //huawei_vrpv8 is not inside.
        if device_type not in netmiko.platforms:
            raise exc.GenericSwitchNetmikoNotSupported(
                device_type=device_type)

huawei_vrpv8
[u'a10', u'a10_ssh', u'accedian', u'accedian_ssh', u'alcatel_aos', u'alcatel_aos_ssh', u'alcatel_sros', u'alcatel_sros_ssh', u'arista_eos', u'arista_eos_ssh', u'aruba_os', u'aruba_os_ssh', u'autodetect', u'avaya_ers', u'avaya_ers_ssh', u'avaya_vsp', u'avaya_vsp_ssh', u'brocade_fastiron', u'brocade_fastiron_ssh', u'brocade_netiron', u'brocade_netiron_ssh', u'brocade_nos', u'brocade_nos_ssh', u'brocade_vdx', u'brocade_vdx_ssh', u'brocade_vyos', u'brocade_vyos_ssh', u'checkpoint_gaia', u'checkpoint_gaia_ssh', u'ciena_saos', u'ciena_saos_ssh', u'cisco_asa', u'cisco_asa_ssh', u'cisco_ios', u'cisco_ios_ssh', u'cisco_ios_telnet', u'cisco_nxos', u'cisco_nxos_ssh', u'cisco_s300', u'cisco_s300_ssh', u'cisco_tp', u'cisco_tp_ssh', u'cisco_wlc', u'cisco_wlc_ssh', u'cisco_xe', u'cisco_xe_ssh', u'cisco_xr', u'cisco_xr_ssh', u'dell_force10', u'dell_force10_ssh', u'dell_powerconnect', u'dell_powerconnect_ssh', u'dell_powerconnect_telnet', u'eltex', u'eltex_ssh', u'enterasys', u'enterasys_ssh', u'extreme', u'extreme_ssh', u'extreme_wing', u'extreme_wing_ssh', u'f5_ltm', u'f5_ltm_ssh', u'fortinet', u'fortinet_ssh', u'generic_termserver', u'generic_termserver_ssh', u'generic_termserver_telnet', u'hp_comware', u'hp_comware_ssh', u'hp_procurve', u'hp_procurve_ssh', u'huawei', u'huawei_ssh', u'juniper', u'juniper_junos', u'juniper_junos_ssh', u'juniper_ssh', u'linux', u'linux_ssh', u'mellanox_ssh', u'mellanox_ssh_ssh', u'mrv_optiswitch', u'mrv_optiswitch_ssh', u'ovs_linux', u'ovs_linux_ssh', u'paloalto_panos', u'paloalto_panos_ssh', u'pluribus', u'pluribus_ssh', u'quanta_mesh', u'quanta_mesh_ssh', u'terminal_server', u'ubiquiti_edge', u'ubiquiti_edge_ssh', u'vyatta_vyos', u'vyatta_vyos_ssh', u'vyos', u'vyos_ssh']

While change to netmiko_huawei works.
[genericswitch:switchce5800]
device_type = netmiko_huawei
username = xxx
password = xxx
ip = xxx

zhangfei gao (zhangfei-gao) wrote :
Changed in networking-generic-switch:
status: New → Fix Committed
status: Fix Committed → Fix Released
Zachary Ma (mazengxie) wrote :

I meet the same problem.

66093:2018-01-17 16:52:55.496 92425 ERROR neutron File "/usr/lib/python2.7/site-packages/networking_generic_switch/generic_switch_mech.py", line 43, in initialize
66094:2018-01-17 16:52:55.496 92425 ERROR neutron switch = devices.device_manager(device_cfg)
66095:2018-01-17 16:52:55.496 92425 ERROR neutron File "/usr/lib/python2.7/site-packages/networking_generic_switch/devices/__init__.py", line 43, in device_manager
66096:2018-01-17 16:52:55.496 92425 ERROR neutron on_load_failure_callback=_load_failure_hook
66097:2018-01-17 16:52:55.496 92425 ERROR neutron File "/usr/lib/python2.7/site-packages/stevedore/driver.py", line 61, in __init__
66098:2018-01-17 16:52:55.496 92425 ERROR neutron warn_on_missing_entrypoint=warn_on_missing_entrypoint
66099:2018-01-17 16:52:55.496 92425 ERROR neutron File "/usr/lib/python2.7/site-packages/stevedore/named.py", line 81, in __init__
66100:2018-01-17 16:52:55.496 92425 ERROR neutron verify_requirements)
66101:2018-01-17 16:52:55.496 92425 ERROR neutron File "/usr/lib/python2.7/site-packages/stevedore/extension.py", line 203, in _load_plugins
66102:2018-01-17 16:52:55.496 92425 ERROR neutron self._on_load_failure_callback(self, ep, err)
66103:2018-01-17 16:52:55.496 92425 ERROR neutron File "/usr/lib/python2.7/site-packages/networking_generic_switch/devices/__init__.py", line 58, in _load_failure_hook
66104:2018-01-17 16:52:55.496 92425 ERROR neutron err=exception)
66105:2018-01-17 16:52:55.496 92425 ERROR neutron GenericSwitchEntrypointLoadError: Failed to load entrypoint netmiko_huawei_vrpv8 = networking_generic_switch.devices.netmiko_devices.huawei_vrpv8:Huawei: Netmiko does not support device type huawei_vrpv8

zhangfei gao (zhangfei-gao) wrote :

Hi, Zachary

The fix is just merged and may not appeared in openstack.
You can apply the patch manually
https://github.com/ktbyers/netmiko/pull/678/commits/71a5f1bf83bc886f9f18024b724fce0a3fa30309

Or use this workaround, which is simpler.
https://github.com/ktbyers/netmiko/pull/654/commits/fafcef4c970676a8868b9c292744920e12738c99

Zachary Ma (mazengxie) wrote :

thanks

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers